Index: tests/GuiChecks/Filling/SuspendInWater/testsuite-suspend-in-water.at
===================================================================
--- tests/GuiChecks/Filling/SuspendInWater/testsuite-suspend-in-water.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/SuspendInWater/testsuite-suspend-in-water.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,98 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### suspend in water with certain density
+
+AT_SETUP([Filling - suspend in water fails with rho=1])
+AT_KEYWORDS([filling suspend-in-water])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density 1. --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Filling - suspend in water fails with just one molecule])
+AT_KEYWORDS([filling suspend-in-water])
+
+file=single_molecule.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density 1. --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+# rho must be on same side of 1 as the present density
+AT_SETUP([Filling - suspend in water fails with wrong rho])
+AT_KEYWORDS([filling suspend-in-water])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density .5 --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Filling - suspend in water])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([filling suspend-in-water])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density 2. --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 5, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Filling - suspend in water with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([filling suspend-in-water undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density 2. --undo --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - suspend in water with Redo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([filling suspend-in-water redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -I -v 3 --select-molecule-by-id 0 -u --density 2. --undo --redo --no-dry-run --store-session session-suspend-in-water.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-suspend-in-water.py >session-suspend-in-water_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-suspend-in-water_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Filling/SuspendInWater/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
